"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Illustration = _interopRequireDefault(require("./Illustration"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const GetStartedModal = _ref => {
  let {
    onGetStarted,
    isVisible,
    cardImage,
    primaryColor,
    textColor
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    visible: isVisible,
    transparent: true,
    animationType: "slide"
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.modal
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_Illustration.default, {
    primaryColor: primaryColor,
    cardImage: cardImage
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.heading
  }, "Start using your new Rho card everywhere you shop"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.subHeading
  }, "Update your card info virtually everywhere you shop in just a few taps."), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: [styles.button, {
      backgroundColor: primaryColor
    }],
    onPress: onGetStarted
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.textButton, {
      color: textColor
    }]
  }, "Get Started")))));
};
const styles = _reactNative.StyleSheet.create({
  modal: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'rgba(0,0,0,0.5)',
    width: '100%',
    padding: 20
  },
  container: {
    backgroundColor: '#fff',
    justifyContent: 'center',
    alignItems: 'center',
    padding: 30,
    paddingVertical: 40,
    borderRadius: 20,
    width: '100%'
  },
  button: {
    backgroundColor: '#272727',
    padding: 16,
    borderRadius: 100,
    width: '80%',
    marginTop: 30
  },
  heading: {
    fontWeight: '700',
    fontSize: 20,
    lineHeight: 25,
    textAlign: 'center',
    color: '#272727',
    marginTop: 20
  },
  subHeading: {
    fontWeight: '400',
    fontSize: 14,
    lineHeight: 20,
    textAlign: 'center',
    color: '#575757',
    marginTop: 20
  },
  textButton: {
    fontWeight: '700',
    fontSize: 16,
    lineHeight: 20,
    textAlign: 'center',
    color: '#FFFFFF'
  }
});
var _default = GetStartedModal;
exports.default = _default;
//# sourceMappingURL=GetStartedModal.js.map