"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Illustration = _interopRequireDefault(require("./Illustration"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const OnBoardingModal = _ref => {
  let {
    onDone,
    onClose,
    isVisible,
    cardImage,
    primaryColor,
    textColor
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    visible: isVisible,
    transparent: true,
    animationType: "slide",
    style: styles.modal
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contentContainer
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      marginTop: -20,
      width: '90%'
    }
  }, /*#__PURE__*/_react.default.createElement(_Illustration.default, {
    primaryColor: primaryColor,
    cardImage: cardImage
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      marginTop: 40
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.heading
  }, "Welcome!")), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.subHeading
  }, "Get started by transferring all your accounts to your new Chime card. It\u2019s simple and takes about 5-10 minutes."), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      marginTop: 40,
      width: '100%'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: [{
      backgroundColor: primaryColor
    }, styles.button],
    onPress: onDone
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [{
      color: textColor
    }, styles.textButton]
  }, "Done"))), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      marginTop: 12,
      width: '100%'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [{
      backgroundColor: primaryColor,
      opacity: 0.2
    }, styles.button]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [{
      color: primaryColor
    }, styles.textButton]
  }, "Maybe Later")), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: onClose,
    style: {
      position: 'absolute',
      top: 0,
      right: 0,
      left: 0,
      bottom: 0,
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [{
      color: primaryColor
    }, styles.textButton]
  }, "Maybe Later"))))));
};
const styles = _reactNative.StyleSheet.create({
  modal: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center'
  },
  container: {
    backgroundColor: '#fff',
    justifyContent: 'center',
    alignItems: 'center',
    width: '100%',
    flex: 1
  },
  contentContainer: {
    padding: 20,
    justifyContent: 'center',
    alignItems: 'center',
    width: '100%',
    borderRadius: 10
  },
  heading: {
    fontWeight: '500',
    fontSize: 28,
    lineHeight: 36,
    alignItems: 'center',
    color: '#272727'
  },
  subHeading: {
    fontWeight: '400',
    fontSize: 15,
    lineHeight: 20,
    alignItems: 'center',
    textAlign: 'center',
    color: '#272727'
  },
  button: {
    padding: 20,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 100
  },
  textButton: {
    fontWeight: '600',
    fontSize: 18,
    lineHeight: 24,
    alignItems: 'center'
  },
  box: {
    width: 60,
    height: 60,
    marginVertical: 20
  }
});
var _default = OnBoardingModal;
exports.default = _default;
//# sourceMappingURL=OnBoardingModal.js.map