import React from 'react';
import { Modal, Pressable, StyleSheet, Text, View } from 'react-native';
import Illustration from './Illustration';
const GetStartedModal = _ref => {
  let {
    onGetStarted,
    isVisible,
    cardImage,
    primaryColor,
    textColor
  } = _ref;
  return /*#__PURE__*/React.createElement(Modal, {
    visible: isVisible,
    transparent: true,
    animationType: "slide"
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.modal
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Illustration, {
    primaryColor: primaryColor,
    cardImage: cardImage
  }), /*#__PURE__*/React.createElement(Text, {
    style: styles.heading
  }, "Start using your new Rho card everywhere you shop"), /*#__PURE__*/React.createElement(Text, {
    style: styles.subHeading
  }, "Update your card info virtually everywhere you shop in just a few taps."), /*#__PURE__*/React.createElement(Pressable, {
    style: [styles.button, {
      backgroundColor: primaryColor
    }],
    onPress: onGetStarted
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.textButton, {
      color: textColor
    }]
  }, "Get Started")))));
};
const styles = StyleSheet.create({
  modal: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: 'rgba(0,0,0,0.5)',
    width: '100%',
    padding: 20
  },
  container: {
    backgroundColor: '#fff',
    justifyContent: 'center',
    alignItems: 'center',
    padding: 30,
    paddingVertical: 40,
    borderRadius: 20,
    width: '100%'
  },
  button: {
    backgroundColor: '#272727',
    padding: 16,
    borderRadius: 100,
    width: '80%',
    marginTop: 30
  },
  heading: {
    fontWeight: '700',
    fontSize: 20,
    lineHeight: 25,
    textAlign: 'center',
    color: '#272727',
    marginTop: 20
  },
  subHeading: {
    fontWeight: '400',
    fontSize: 14,
    lineHeight: 20,
    textAlign: 'center',
    color: '#575757',
    marginTop: 20
  },
  textButton: {
    fontWeight: '700',
    fontSize: 16,
    lineHeight: 20,
    textAlign: 'center',
    color: '#FFFFFF'
  }
});
export default GetStartedModal;
//# sourceMappingURL=GetStartedModal.js.map