import React from 'react';
import { Image, StyleSheet, View } from 'react-native';
const Illustration = _ref => {
  let {
    primaryColor,
    cardImage
  } = _ref;
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(Image, {
    source: require('./../assets/OldCard.png'),
    style: styles.oldCard,
    resizeMode: 'contain'
  }), /*#__PURE__*/React.createElement(View, {
    style: styles.cardContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: require('./../assets/arrow.png'),
    style: {
      tintColor: primaryColor
    }
  })), /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Image, {
    style: styles.card,
    resizeMode: 'contain',
    source: cardImage
  }), /*#__PURE__*/React.createElement(Image, {
    style: [styles.image, {
      top: -15,
      left: -20
    }],
    source: require('./../assets/netflix.png')
  }), /*#__PURE__*/React.createElement(Image, {
    style: [styles.image, {
      right: 10,
      top: -20
    }],
    source: require('./../assets/starbucks.png')
  }), /*#__PURE__*/React.createElement(Image, {
    style: [styles.image, {
      right: -15,
      bottom: -30
    }],
    source: require('./../assets/amazon.png')
  }), /*#__PURE__*/React.createElement(Image, {
    style: [styles.image, {
      bottom: -35
    }],
    source: require('./../assets/lyft.png')
  })));
};
const styles = StyleSheet.create({
  image: {
    position: 'absolute'
  },
  container: {
    width: '90%',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    paddingVertical: 20,
    marginBottom: 20
  },
  oldCard: {
    width: 105,
    height: 70,
    transform: [{
      rotate: '-3deg'
    }],
    borderRadius: 10
  },
  cardContainer: {
    flex: 1,
    margin: 10,
    justifyContent: 'center',
    alignItems: 'center'
  },
  card: {
    width: 105,
    height: 70,
    transform: [{
      rotate: '3deg'
    }],
    borderRadius: 10
  }
});
export default Illustration;
//# sourceMappingURL=Illustration.js.map