import React from 'react';
import { Modal, Pressable, StyleSheet, Text, View } from 'react-native';
import Illustration from './Illustration';
const OnBoardingModal = _ref => {
  let {
    onDone,
    onClose,
    isVisible,
    cardImage,
    primaryColor,
    textColor
  } = _ref;
  return /*#__PURE__*/React.createElement(Modal, {
    visible: isVisible,
    transparent: true,
    animationType: "slide",
    style: styles.modal
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.contentContainer
  }, /*#__PURE__*/React.createElement(View, {
    style: {
      marginTop: -20,
      width: '90%'
    }
  }, /*#__PURE__*/React.createElement(Illustration, {
    primaryColor: primaryColor,
    cardImage: cardImage
  })), /*#__PURE__*/React.createElement(View, {
    style: {
      marginTop: 40
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.heading
  }, "Welcome!")), /*#__PURE__*/React.createElement(Text, {
    style: styles.subHeading
  }, "Get started by transferring all your accounts to your new Chime card. It\u2019s simple and takes about 5-10 minutes."), /*#__PURE__*/React.createElement(View, {
    style: {
      marginTop: 40,
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(Pressable, {
    style: [{
      backgroundColor: primaryColor
    }, styles.button],
    onPress: onDone
  }, /*#__PURE__*/React.createElement(Text, {
    style: [{
      color: textColor
    }, styles.textButton]
  }, "Done"))), /*#__PURE__*/React.createElement(View, {
    style: {
      marginTop: 12,
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(View, {
    style: [{
      backgroundColor: primaryColor,
      opacity: 0.2
    }, styles.button]
  }, /*#__PURE__*/React.createElement(Text, {
    style: [{
      color: primaryColor
    }, styles.textButton]
  }, "Maybe Later")), /*#__PURE__*/React.createElement(Pressable, {
    onPress: onClose,
    style: {
      position: 'absolute',
      top: 0,
      right: 0,
      left: 0,
      bottom: 0,
      justifyContent: 'center',
      alignItems: 'center'
    }
  }, /*#__PURE__*/React.createElement(Text, {
    style: [{
      color: primaryColor
    }, styles.textButton]
  }, "Maybe Later"))))));
};
const styles = StyleSheet.create({
  modal: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center'
  },
  container: {
    backgroundColor: '#fff',
    justifyContent: 'center',
    alignItems: 'center',
    width: '100%',
    flex: 1
  },
  contentContainer: {
    padding: 20,
    justifyContent: 'center',
    alignItems: 'center',
    width: '100%',
    borderRadius: 10
  },
  heading: {
    fontWeight: '500',
    fontSize: 28,
    lineHeight: 36,
    alignItems: 'center',
    color: '#272727'
  },
  subHeading: {
    fontWeight: '400',
    fontSize: 15,
    lineHeight: 20,
    alignItems: 'center',
    textAlign: 'center',
    color: '#272727'
  },
  button: {
    padding: 20,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 100
  },
  textButton: {
    fontWeight: '600',
    fontSize: 18,
    lineHeight: 24,
    alignItems: 'center'
  },
  box: {
    width: 60,
    height: 60,
    marginVertical: 20
  }
});
export default OnBoardingModal;
//# sourceMappingURL=OnBoardingModal.js.map